Skip to main content
POST
Rollback Deploy

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Body

application/json

Request body for rolling back to a previous deploy.

deploy_id
string<uuid>
required

Response

Successful Response

Response for a single deploy.

id
string<uuid>
required
app_id
string<uuid>
required
status
string
required
runtime
string
required
framework
string | null
required
source_deploy_id
string<uuid> | null
required
build_logs
string | null
required
url
string | null
required
triggered_by
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
service_id
string<uuid> | null
cloud_run_service_name
string | null
commit_sha
string | null
coalesced_commits
CoalescedCommitResponse · object[]
github_ref
string | null
env_id
string<uuid> | null
env
string | null
target_env
string | null
target_branch
string | null
preview_slug
string | null
source_branch
string | null
source_hash
string | null
build_args_hash
string | null
skip_reason
string | null
skip_migrations
boolean
default:false
failure_category
string | null
failure_message
string | null
failure_step
string | null
failure_root_cause
FailureRootCauseResponse · object | null

Normalized deploy failure summary for operator-facing surfaces.

failure_reason
string | null
failure_stage
string | null
failing_stage
string | null
root_cause_event_excerpt
string | null
migrations
string | null
steps
DeployStepResponse · object[]
diagnostics
DeployDiagnosticResponse · object[]
started_at
string<date-time> | null
finished_at
string<date-time> | null
duration_ms
integer | null
requested_app_access_mode
string | null
requested_env_access_modes
Requested Env Access Modes · object | null